Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.tree.nodes.support
Class WsdlTestStepsModelItem.InternalTestSuiteListener

    java.lang.Object
      com.eviware.soapui.model.support.TestSuiteListenerAdapter
          com.eviware.soapui.model.tree.nodes.support.WsdlTestStepsModelItem.InternalTestSuiteListener

All Implemented Interfaces:
  TestSuiteListener

Enclosing class:
  WsdlTestStepsModelItem

    public class WsdlTestStepsModelItem.InternalTestSuiteListener

extends TestSuiteListenerAdapter
implements TestSuiteListener

Constructor Summary
`WsdlTestStepsModelItem.InternalTestSuiteListener()`

Method Summary
`void` | `testCaseRemoved(TestCase testCase)`
`void` | `testStepAdded(TestStep testStep, int index)`
`void` | `testStepRemoved(TestStep testStep, int index)`

Methods inherited from class com.eviware.soapui.model.support.TestSuiteListenerAdapter
`loadTestAdded, loadTestRemoved, testCaseAdded, testCaseMoved, testStepMoved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.testsuite.TestSuiteListener
`loadTestAdded, loadTestRemoved, testCaseAdded, testCaseMoved, testStepMoved`

Constructor Detail

### WsdlTestStepsModelItem.InternalTestSuiteListener

    public WsdlTestStepsModelItem.InternalTestSuiteListener()

Method Detail

### testStepAdded

    public void testStepAdded(TestStep testStep,
                              int index)

  Specified by:
    `testStepAdded` in interface `TestSuiteListener`
  Overrides:
    `testStepAdded` in class `TestSuiteListenerAdapter`

### testStepRemoved

    public void testStepRemoved(TestStep testStep,
                                int index)

  Specified by:
    `testStepRemoved` in interface `TestSuiteListener`
  Overrides:
    `testStepRemoved` in class `TestSuiteListenerAdapter`

### testCaseRemoved

    public void testCaseRemoved(TestCase testCase)

  Specified by:
    `testCaseRemoved` in interface `TestSuiteListener`
  Overrides:
    `testCaseRemoved` in class `TestSuiteListenerAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.